Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3182)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Variable names for nest_bound_x replaced by bc_dirichlet_x.
+! Remove commented prints into debug files.
 ! 
 ! Former revisions:
@@ -306,15 +307,15 @@
    USE arrays_3d,                                                              &
         ONLY:  diss, diss_2, dzu, dzw, e, e_p, e_2, nc, nc_2, nc_p, nr, nr_2,  &
-               pt, pt_2, q, q_2, qc, qc_2, qr, qr_2, s, s_2,                       &
+               pt, pt_2, q, q_2, qc, qc_2, qr, qr_2, s, s_2,                   &
                u, u_p, u_2, v, v_p, v_2, w, w_p, w_2, zu, zw
 #endif
 
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry, cloud_physics,                                   &
+        ONLY:  air_chemistry, bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,  &
+               bc_dirichlet_s, cloud_physics, child_domain,                    &
                constant_diffusion, constant_flux_layer,                        &
                coupling_char, dt_3d, dz, humidity, message_string,             &
                microphysics_morrison, microphysics_seifert,                    &
-               nest_bound_l, nest_bound_r, nest_bound_s, nest_bound_n,         &
-               nest_domain, neutral, passive_scalar, rans_mode, rans_tke_e,    &
+               neutral, passive_scalar, rans_mode, rans_tke_e,                 &
                roughness_length, simulated_time, topography, volume_flow
 
@@ -743,5 +744,5 @@
 !-- course the root domain (cpl_id = 1) is not nested)
     IF ( cpl_id >= 2 )  THEN
-       nest_domain = .TRUE.
+       child_domain = .TRUE.
        WRITE( coupling_char, '(A2,I2.2)') '_N', cpl_id
     ENDIF
@@ -1192,14 +1193,4 @@
         childgrid(m)%uz_coord   = zmax_coarse(2)
         childgrid(m)%uz_coord_b = zmax_coarse(1)
-
-!         WRITE(9,*)                 'edge coordinates for child id ',child_id,m
-!         WRITE(9,*)                 'Number of Boundray cells lpm  ',nbgp_lpm
-!         WRITE(9,'(a,3i7,2f10.2)') ' model size                    ', nx_cl, ny_cl, nz_cl, dx_cl, dy_cl
-!          WRITE(9,'(a,5f10.2)')     ' model edge                    ', childgrid(m)%lx_coord,  &
-!                                childgrid(m)%rx_coord, childgrid(m)%sy_coord,                  &
-!                                childgrid(m)%ny_coord,childgrid(m)%uz_coord
-!          WRITE(9,'(a,4f10.2)')     ' model edge with Boundary      ', childgrid(m)%lx_coord_b,& 
-!                                childgrid(m)%rx_coord_b, childgrid(m)%sy_coord_b,              &
-!                                childgrid(m)%ny_coord_b
 
      END SUBROUTINE set_child_edge_coords
@@ -1714,5 +1705,5 @@
 !--    interpolation routines.
        nzt_topo_nestbc_l = nzb
-       IF ( nest_bound_l )  THEN
+       IF ( bc_dirichlet_l )  THEN
           DO  i = nxl-1, nxl
              DO  j = nys, nyn
@@ -1740,5 +1731,5 @@
       
        nzt_topo_nestbc_r = nzb
-       IF ( nest_bound_r )  THEN
+       IF ( bc_dirichlet_r )  THEN
           i = nxr + 1
           DO  j = nys, nyn
@@ -1765,5 +1756,5 @@
 
        nzt_topo_nestbc_s = nzb
-       IF ( nest_bound_s )  THEN
+       IF ( bc_dirichlet_s )  THEN
           DO  j = nys-1, nys
              DO  i = nxl, nxr
@@ -1791,5 +1782,5 @@
 
        nzt_topo_nestbc_n = nzb
-       IF ( nest_bound_n )  THEN
+       IF ( bc_dirichlet_n )  THEN
           j = nyn + 1
           DO  i = nxl, nxr
@@ -1862,5 +1853,5 @@
 !--    logc_kbounds_* need to be allocated and initialized here.
 !--    Left boundary
-       IF ( nest_bound_l )  THEN
+       IF ( bc_dirichlet_l )  THEN
 
           ALLOCATE( logc_u_l(1:2,nzb:nzt_topo_nestbc_l,nys:nyn) )
@@ -1923,5 +1914,5 @@
 !
 !--    Right boundary
-       IF ( nest_bound_r )  THEN
+       IF ( bc_dirichlet_r )  THEN
            
           ALLOCATE( logc_u_r(1:2,nzb:nzt_topo_nestbc_r,nys:nyn) )
@@ -1985,5 +1976,5 @@
 !
 !--    South boundary
-       IF ( nest_bound_s )  THEN
+       IF ( bc_dirichlet_s )  THEN
 
           ALLOCATE( logc_u_s(1:2,nzb:nzt_topo_nestbc_s,nxl:nxr) )
@@ -2044,5 +2035,5 @@
 !
 !--    North boundary
-       IF ( nest_bound_n )  THEN
+       IF ( bc_dirichlet_n )  THEN
 
           ALLOCATE( logc_u_n(1:2,nzb:nzt_topo_nestbc_n,nxl:nxr) )
@@ -2116,5 +2107,5 @@
 !        
 !--       Left boundary
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              logc_kbounds_u_l(1:2,nys:nyn) = 0
              logc_kbounds_v_l(1:2,nys:nyn) = 0             
@@ -2255,8 +2246,8 @@
              ENDDO
 
-          ENDIF   !  IF ( nest_bound_l )
+          ENDIF   !  IF ( bc_dirichlet_l )
 !        
 !--       Right boundary
-          IF ( nest_bound_r )  THEN
+          IF ( bc_dirichlet_r )  THEN
              logc_kbounds_u_r(1:2,nys:nyn) = 0
              logc_kbounds_v_r(1:2,nys:nyn) = 0             
@@ -2395,8 +2386,8 @@
              ENDDO
              
-          ENDIF   !  IF ( nest_bound_r )
+          ENDIF   !  IF ( bc_dirichlet_r )
 !        
 !--       South boundary
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
              logc_kbounds_u_s(1:2,nxl:nxr) = 0
              logc_kbounds_v_s(1:2,nxl:nxr) = 0
@@ -2537,8 +2528,8 @@
              ENDDO
 
-          ENDIF   !  IF (nest_bound_s )
+          ENDIF   !  IF (bc_dirichlet_s )
 !        
 !--       North boundary
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              logc_kbounds_u_n(1:2,nxl:nxr) = 0             
              logc_kbounds_v_n(1:2,nxl:nxr) = 0
@@ -2678,5 +2669,5 @@
              ENDDO
 
-          ENDIF   !  IF ( nest_bound_n )
+          ENDIF   !  IF ( bc_dirichlet_n )
 
        ENDIF   !  IF ( topography /= 'flat' )
@@ -2786,7 +2777,4 @@
 
        END SELECT
-          
-       !write(9,"('pmci_define_loglaw_correction_parameters: ', 6(i3,2x))")    &
-       !     direction, ij, k, wall_index, inc, lc
 
     END SUBROUTINE pmci_define_loglaw_correction_parameters
@@ -3325,5 +3313,5 @@
 !
        IF ( .NOT. rans_mode  .AND.  .NOT. rans_mode_parent )  THEN 
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              ALLOCATE( tkefactor_l(nzb:nzt+1,nysg:nyng) )
              tkefactor_l = 0.0_wp
@@ -3345,5 +3333,5 @@
           ENDIF
 
-          IF ( nest_bound_r )  THEN
+          IF ( bc_dirichlet_r )  THEN
              ALLOCATE( tkefactor_r(nzb:nzt+1,nysg:nyng) )
              tkefactor_r = 0.0_wp
@@ -3365,5 +3353,5 @@
           ENDIF
 
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
              ALLOCATE( tkefactor_s(nzb:nzt+1,nxlg:nxrg) )
              tkefactor_s = 0.0_wp
@@ -3386,5 +3374,5 @@
           ENDIF
 
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              ALLOCATE( tkefactor_n(nzb:nzt+1,nxlg:nxrg) )
              tkefactor_n = 0.0_wp
@@ -3428,17 +3416,17 @@
 !--    RANS mode
        ELSE
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              ALLOCATE( tkefactor_l(nzb:nzt+1,nysg:nyng) )
              tkefactor_l = 1.0_wp
           ENDIF
-          IF ( nest_bound_r )  THEN
+          IF ( bc_dirichlet_r )  THEN
              ALLOCATE( tkefactor_r(nzb:nzt+1,nysg:nyng) )
              tkefactor_r = 1.0_wp
           ENDIF
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
              ALLOCATE( tkefactor_s(nzb:nzt+1,nxlg:nxrg) )
              tkefactor_s = 1.0_wp
           ENDIF
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              ALLOCATE( tkefactor_n(nzb:nzt+1,nxlg:nxrg) )
              tkefactor_n = 1.0_wp
@@ -3980,5 +3968,5 @@
        je = nyn
        IF ( nesting_mode /= 'vertical' )  THEN
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              ib = nxl - 1
 !
@@ -3988,5 +3976,5 @@
              ENDIF
           ENDIF
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
              jb = nys - 1
 !
@@ -3996,8 +3984,8 @@
              ENDIF
           ENDIF
-          IF ( nest_bound_r )  THEN
+          IF ( bc_dirichlet_r )  THEN
              ie = nxr + 1
           ENDIF
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              je = nyn + 1
           ENDIF
@@ -4201,5 +4189,5 @@
     volume_flow_l(1) = 0.0_wp
 
-    IF ( nest_bound_l )  THEN
+    IF ( bc_dirichlet_l )  THEN
        i = 0
        innor = dy
@@ -4213,5 +4201,5 @@
     ENDIF
 
-    IF ( nest_bound_r )  THEN
+    IF ( bc_dirichlet_r )  THEN
        i = nx + 1
        innor = -dy
@@ -4238,5 +4226,5 @@
     volume_flow_l(2) = 0.0_wp
 
-    IF ( nest_bound_s )  THEN
+    IF ( bc_dirichlet_s )  THEN
        j = 0
        innor = dx
@@ -4250,5 +4238,5 @@
     ENDIF
 
-    IF ( nest_bound_n )  THEN
+    IF ( bc_dirichlet_n )  THEN
        j = ny + 1
        innor = -dx
@@ -4549,5 +4537,5 @@
 !
 !--       Left border pe:
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              
              CALL pmci_interp_tril_lr( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
@@ -4656,5 +4644,5 @@
 !
 !--       Right border pe
-          IF ( nest_bound_r )  THEN
+          IF ( bc_dirichlet_r )  THEN
              
              CALL pmci_interp_tril_lr( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
@@ -4769,5 +4757,5 @@
 !
 !--       South border pe
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
 
              CALL pmci_interp_tril_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
@@ -4880,5 +4868,5 @@
 !
 !--       North border pe
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              
              CALL pmci_interp_tril_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
@@ -5748,18 +5736,18 @@
 !--    comprehensive explanation for this is still pending.
        IF ( nesting_mode == 'vertical' )  THEN
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              iclp = icl + nhll
           ENDIF
-          IF ( nest_bound_r ) THEN
+          IF ( bc_dirichlet_r ) THEN
              icrm = icr - nhlr
           ENDIF
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
              jcsp = jcs + nhls
           ENDIF
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              jcnm = jcn - nhln
           ENDIF
        ELSE
-          IF ( nest_bound_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              IF ( var == 'u' )  THEN
                 iclp = icl + nhll + 1 + 1
@@ -5768,9 +5756,9 @@
              ENDIF
           ENDIF
-          IF ( nest_bound_r )  THEN
+          IF ( bc_dirichlet_r )  THEN
              icrm = icr - nhlr - 1
           ENDIF
 
-          IF ( nest_bound_s )  THEN
+          IF ( bc_dirichlet_s )  THEN
              IF ( var == 'v' )  THEN
                 jcsp = jcs + nhls + 1 + 1
@@ -5779,5 +5767,5 @@
              ENDIF
           ENDIF
-          IF ( nest_bound_n )  THEN
+          IF ( bc_dirichlet_n )  THEN
              jcnm = jcn - nhln - 1
           ENDIF
Index: palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/poismg_mod.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables in mesoscale-offline nesting mode
 ! 
 ! Former revisions:
@@ -26,5 +26,5 @@
 ! $Id$
 ! Set lateral boundary conditions for divergence
-! 
+!
 ! 2937 2018-03-27 14:58:33Z suehring
 ! Corrected "Former revisions" section
@@ -107,8 +107,7 @@
  
     USE control_parameters,                                                    &
-        ONLY:  grid_level, force_bound_l, force_bound_n, force_bound_r,        &
-               force_bound_s, forcing, inflow_l, inflow_n, inflow_r, inflow_s, &
-               nest_bound_l, nest_bound_n, nest_bound_r, nest_bound_s,         &
-               outflow_l, outflow_n, outflow_r, outflow_s
+        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,                 &
+               bc_dirichlet_s, bc_radiation_l, bc_radiation_n, bc_radiation_r, &
+               bc_radiation_s, grid_level, nesting_offline
 
     USE cpulog,                                                                &
@@ -206,13 +205,13 @@
 !--    Set lateral boundary conditions in non-cyclic case
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l .OR. outflow_l .OR. nest_bound_l .OR. force_bound_l )  &
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )                          &
              d(:,:,nxl-1) = d(:,:,nxl)
-          IF ( inflow_r .OR. outflow_r .OR. nest_bound_r .OR. force_bound_r )  &
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )                          &
              d(:,:,nxr+1) = d(:,:,nxr)
        ENDIF
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n .OR. outflow_n .OR. nest_bound_n .OR. force_bound_n )  &
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )                          &
              d(:,nyn+1,:) = d(:,nyn,:)
-          IF ( inflow_s .OR. outflow_s .OR. nest_bound_s .OR. force_bound_s )  &
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )                          &
              d(:,nys-1,:) = d(:,nys,:)
        ENDIF
@@ -375,10 +374,8 @@
 
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l  .OR.  outflow_l  .OR.  nest_bound_l  .OR.             &
-               force_bound_l )  THEN
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
              r(:,:,nxl_mg(l)-1) = r(:,:,nxl_mg(l))
           ENDIF
-          IF ( inflow_r  .OR.  outflow_r  .OR.  nest_bound_r  .OR.             &
-               force_bound_r )  THEN
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
              r(:,:,nxr_mg(l)+1) = r(:,:,nxr_mg(l))
           ENDIF
@@ -386,10 +383,8 @@
 
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n  .OR.  outflow_n  .OR.  nest_bound_n  .OR.             &
-               force_bound_n )  THEN
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
              r(:,nyn_mg(l)+1,:) = r(:,nyn_mg(l),:)
           ENDIF
-          IF ( inflow_s  .OR.  outflow_s  .OR.  nest_bound_s  .OR.             &
-               force_bound_s )  THEN
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
              r(:,nys_mg(l)-1,:) = r(:,nys_mg(l),:)
           ENDIF
@@ -510,10 +505,8 @@
 !--    Horizontal boundary conditions
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l  .OR.  outflow_l  .OR.  nest_bound_l  .OR.             &
-               force_bound_l )  THEN
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
              f_mg(:,:,nxl_mg(l)-1) = f_mg(:,:,nxl_mg(l))
           ENDIF
-          IF ( inflow_r  .OR.  outflow_r  .OR.  nest_bound_r  .OR.             &
-               force_bound_r )  THEN
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
              f_mg(:,:,nxr_mg(l)+1) = f_mg(:,:,nxr_mg(l))
           ENDIF
@@ -521,10 +514,8 @@
 
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n  .OR.  outflow_n  .OR.  nest_bound_n  .OR.             &
-               force_bound_n )  THEN
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
              f_mg(:,nyn_mg(l)+1,:) = f_mg(:,nyn_mg(l),:)
           ENDIF
-          IF ( inflow_s  .OR.  outflow_s  .OR.  nest_bound_s  .OR.             &
-               force_bound_s )  THEN
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
              f_mg(:,nys_mg(l)-1,:) = f_mg(:,nys_mg(l),:)
           ENDIF
@@ -681,10 +672,8 @@
 
        IF ( .NOT. bc_lr_cyc )  THEN
-          IF ( inflow_l  .OR.  outflow_l  .OR.  nest_bound_l  .OR.             &
-               force_bound_l )  THEN
+          IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
              temp(:,:,nxl_mg(l)-1) = temp(:,:,nxl_mg(l))
           ENDIF
-          IF ( inflow_r  .OR.  outflow_r  .OR.  nest_bound_r  .OR.             &
-               force_bound_r )  THEN
+          IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
              temp(:,:,nxr_mg(l)+1) = temp(:,:,nxr_mg(l))
           ENDIF
@@ -692,10 +681,8 @@
 
        IF ( .NOT. bc_ns_cyc )  THEN
-          IF ( inflow_n  .OR.  outflow_n  .OR.  nest_bound_n  .OR.             &
-               force_bound_n )  THEN
+          IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
              temp(:,nyn_mg(l)+1,:) = temp(:,nyn_mg(l),:)
           ENDIF
-          IF ( inflow_s  .OR.  outflow_s  .OR.  nest_bound_s  .OR.             &
-               force_bound_s )  THEN
+          IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
              temp(:,nys_mg(l)-1,:) = temp(:,nys_mg(l),:)
           ENDIF
@@ -991,10 +978,8 @@
 
              IF ( .NOT. bc_lr_cyc )  THEN
-                IF ( inflow_l  .OR.  outflow_l  .OR.  nest_bound_l  .OR.       &
-                     force_bound_l )  THEN
+                IF ( bc_dirichlet_l  .OR.  bc_radiation_l )  THEN
                    p_mg(:,:,nxl_mg(l)-1) = p_mg(:,:,nxl_mg(l))
                 ENDIF
-                IF ( inflow_r  .OR.  outflow_r  .OR.  nest_bound_r  .OR.       &
-                     force_bound_r )  THEN
+                IF ( bc_dirichlet_r  .OR.  bc_radiation_r )  THEN
                    p_mg(:,:,nxr_mg(l)+1) = p_mg(:,:,nxr_mg(l))
                 ENDIF
@@ -1002,10 +987,8 @@
 
              IF ( .NOT. bc_ns_cyc )  THEN
-                IF ( inflow_n  .OR.  outflow_n  .OR.  nest_bound_n  .OR.       &
-                     force_bound_n )  THEN
+                IF ( bc_dirichlet_n  .OR.  bc_radiation_n )  THEN
                    p_mg(:,nyn_mg(l)+1,:) = p_mg(:,nyn_mg(l),:)
                 ENDIF
-                IF ( inflow_s  .OR.  outflow_s  .OR.  nest_bound_s  .OR.       &
-                     force_bound_s )  THEN
+                IF ( bc_dirichlet_s  .OR.  bc_radiation_s )  THEN
                    p_mg(:,nys_mg(l)-1,:) = p_mg(:,nys_mg(l),:)
                 ENDIF
@@ -1423,7 +1406,7 @@
        USE control_parameters,                                                 &
            ONLY:  bc_lr_dirrad, bc_lr_raddir, bc_ns_dirrad, bc_ns_raddir,      &
-                  gamma_mg, grid_level_count, ibc_p_b, ibc_p_t,                &
+                  child_domain, gamma_mg, grid_level_count, ibc_p_b, ibc_p_t,  &
                   maximum_grid_level,  mg_switch_to_pe0_level,                 &
-                  mg_switch_to_pe0, nest_domain, ngsrb 
+                  mg_switch_to_pe0, ngsrb 
 
        USE indices,                                                            &
@@ -1564,37 +1547,31 @@
 !--          because then they have the total domain.
              IF ( bc_lr_dirrad )  THEN
-                inflow_l  = .TRUE.
-                inflow_r  = .FALSE.
-                outflow_l = .FALSE.
-                outflow_r = .TRUE.
+                bc_dirichlet_l  = .TRUE.
+                bc_dirichlet_r  = .FALSE.
+                bc_radiation_l = .FALSE.
+                bc_radiation_r = .TRUE.
              ELSEIF ( bc_lr_raddir )  THEN
-                inflow_l  = .FALSE.
-                inflow_r  = .TRUE.
-                outflow_l = .TRUE.
-                outflow_r = .FALSE.
-             ELSEIF ( nest_domain )  THEN
-                nest_bound_l = .TRUE.
-                nest_bound_r = .TRUE.
-             ELSEIF ( forcing )  THEN
-                force_bound_l = .TRUE.
-                force_bound_r = .TRUE.
+                bc_dirichlet_l  = .FALSE.
+                bc_dirichlet_r  = .TRUE.
+                bc_radiation_l = .TRUE.
+                bc_radiation_r = .FALSE.
+             ELSEIF ( child_domain  .OR.  nesting_offline )  THEN
+                bc_dirichlet_l = .TRUE.
+                bc_dirichlet_r = .TRUE.
              ENDIF
 
              IF ( bc_ns_dirrad )  THEN
-                inflow_n  = .TRUE.
-                inflow_s  = .FALSE.
-                outflow_n = .FALSE.
-                outflow_s = .TRUE.
+                bc_dirichlet_n  = .TRUE.
+                bc_dirichlet_s  = .FALSE.
+                bc_radiation_n = .FALSE.
+                bc_radiation_s = .TRUE.
              ELSEIF ( bc_ns_raddir )  THEN
-                inflow_n  = .FALSE.
-                inflow_s  = .TRUE.
-                outflow_n = .TRUE.
-                outflow_s = .FALSE.
-             ELSEIF ( nest_domain )  THEN
-                nest_bound_s = .TRUE.
-                nest_bound_n = .TRUE.
-             ELSEIF ( forcing )  THEN
-                force_bound_s = .TRUE.
-                force_bound_n = .TRUE.
+                bc_dirichlet_n  = .FALSE.
+                bc_dirichlet_s  = .TRUE.
+                bc_radiation_n = .TRUE.
+                bc_radiation_s = .FALSE.
+             ELSEIF ( child_domain  .OR.  nesting_offline)  THEN
+                bc_dirichlet_s = .TRUE.
+                bc_dirichlet_n = .TRUE.
              ENDIF
 
@@ -1659,32 +1636,15 @@
 !--          For non-cyclic lateral boundary conditions and in case of nesting, 
 !--          restore the in-/outflow conditions. 
-             inflow_l  = .FALSE.;  inflow_r  = .FALSE.
-             inflow_n  = .FALSE.;  inflow_s  = .FALSE.
-             outflow_l = .FALSE.;  outflow_r = .FALSE.
-             outflow_n = .FALSE.;  outflow_s = .FALSE.
-!
-!--          In case of nesting or forcing, restore lateral boundary conditions
-             IF ( nest_domain )  THEN
-                nest_bound_l = .FALSE.
-                nest_bound_r = .FALSE.
-                nest_bound_s = .FALSE.
-                nest_bound_n = .FALSE.      
-             ENDIF
-             IF ( forcing )  THEN
-                force_bound_l = .FALSE.
-                force_bound_r = .FALSE.
-                force_bound_s = .FALSE.
-                force_bound_n = .FALSE.      
-             ENDIF
+             bc_dirichlet_l = .FALSE.;  bc_dirichlet_r = .FALSE.
+             bc_dirichlet_n = .FALSE.;  bc_dirichlet_s = .FALSE.
+             bc_radiation_l = .FALSE.;  bc_radiation_r = .FALSE.
+             bc_radiation_n = .FALSE.;  bc_radiation_s = .FALSE.
 
              IF ( pleft == MPI_PROC_NULL )  THEN
-                IF ( bc_lr_dirrad )  THEN
-                   inflow_l  = .TRUE.
+                IF ( bc_lr_dirrad  .OR.  child_domain  .OR.  nesting_offline ) &
+                THEN
+                   bc_dirichlet_l = .TRUE.
                 ELSEIF ( bc_lr_raddir )  THEN
-                   outflow_l = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_l = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_l = .TRUE.
+                   bc_radiation_l = .TRUE.
                 ENDIF
              ENDIF
@@ -1692,11 +1652,8 @@
              IF ( pright == MPI_PROC_NULL )  THEN
                 IF ( bc_lr_dirrad )  THEN
-                   outflow_r = .TRUE.
-                ELSEIF ( bc_lr_raddir )  THEN
-                   inflow_r  = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_r = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_r = .TRUE.
+                   bc_radiation_r = .TRUE.
+                ELSEIF ( bc_lr_raddir  .OR.  child_domain  .OR.                &
+                         nesting_offline )  THEN
+                   bc_dirichlet_r = .TRUE.
                 ENDIF
              ENDIF
@@ -1704,23 +1661,17 @@
              IF ( psouth == MPI_PROC_NULL )  THEN
                 IF ( bc_ns_dirrad )  THEN
-                   outflow_s = .TRUE.
+                   bc_radiation_s = .TRUE.
+                ELSEIF ( bc_ns_raddir  .OR.  child_domain  .OR.                &
+                         nesting_offline )  THEN
+                   bc_dirichlet_s = .TRUE.
+                ENDIF
+             ENDIF
+
+             IF ( pnorth == MPI_PROC_NULL )  THEN
+                IF ( bc_ns_dirrad  .OR.  child_domain  .OR.  nesting_offline ) &
+                THEN
+                   bc_dirichlet_n = .TRUE.
                 ELSEIF ( bc_ns_raddir )  THEN
-                   inflow_s  = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_s = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_s = .TRUE.
-                ENDIF
-             ENDIF
-
-             IF ( pnorth == MPI_PROC_NULL )  THEN
-                IF ( bc_ns_dirrad )  THEN
-                   inflow_n  = .TRUE.
-                ELSEIF ( bc_ns_raddir )  THEN
-                   outflow_n = .TRUE.
-                ELSEIF ( nest_domain )  THEN
-                   nest_bound_n = .TRUE.
-                ELSEIF ( forcing )  THEN
-                   force_bound_n = .TRUE.
+                   bc_radiation_n = .TRUE.
                 ENDIF
              ENDIF
